SET DEFINE OFF;

CREATE TABLE EXPORTABFRAGENBENUTZER
(
      XAN_KEY NUMBER NOT NULL
    , XAN_XBN_KEY NUMBER NOT NULL
    , XAN_XAB_KEY NUMBER NOT NULL
    , XAN_USER VARCHAR2(50)
    , XAN_USERDAT DATE DEFAULT SYSDATE
    , CONSTRAINT PK_XAN_KEY PRIMARY KEY
    (
        XAN_KEY
    )
    USING INDEX
    (
        CREATE UNIQUE INDEX PK_XAN_KEY ON EXPORTABFRAGENBENUTZER (XAN_KEY ASC)
        TABLESPACE INDX
    )
ENABLE
);

COMMENT ON COLUMN EXPORTABFRAGENBENUTZER.XAN_XBN_KEY IS 'Fremdschlüssel auf die Benutzertabelle';

COMMENT ON COLUMN EXPORTABFRAGENBENUTZER.XAN_XAB_KEY IS 'Fremdschlüssel auf die Exportabfragentabelle';

CREATE SEQUENCE SEQ_XAN_KEY MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER NOCYCLE;

CREATE TRIGGER TRG_SEQ_XAN_KEY
BEFORE INSERT ON EXPORTABFRAGENBENUTZER
FOR EACH ROW
    BEGIN
        <<COLUMN_SEQUENCES>>
        BEGIN
            IF INSERTING AND :NEW.XAN_KEY IS NULL THEN
                SELECT SEQ_XAN_KEY.NEXTVAL INTO :NEW.XAN_KEY FROM SYS.DUAL;
            END IF;
        END COLUMN_SEQUENCES;
    END;
/

INSERT INTO TABELLENKUERZEL (
  XTN_KUERZEL,
  XTN_TABELLENNAME,
  XTN_DATENQUELLE,
  XTN_VERSION
) VALUES (
  'XAN',
  'TABELLENKUERZEL',
  'ORACLE',
  1
);

INSERT INTO RECHTESTUFEN (
  XRS_XRC_ID,
  XRS_BIT,
  XRS_BESCHREIBUNG
) VALUES (
  4001,
  6,
  'Datenexport - Download'
);

COMMIT;

INSERT INTO WEBMASKENREGISTER (
  XRG_ID,
  XRG_XWM_ID,
  XRG_BEZEICHNUNG,
  XRG_BESCHRIFTUNG,
  XRG_AKTION,
  XRG_SEITE,
  XRG_BEMERKUNG,
  XRG_XRC_ID,
  XRG_RECHTESTUFE,
  XRG_SORTIERUNG
) VALUES (
  40014,
  4001,
  'Download',
  'D<u>o</u>wnload',
  './datenexporte_Main.php?cmdAktion=Download',
  './datenexporte_Download.php',
  'Downloadseite für die Exportdatendateien',
  4001,
  64,
  4
);

COMMIT;

INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT) VALUES ('reg_40014','Register','Registerbeschriftung','D<u>o</u>wnload',to_date('04.01.18 14:18:45','DD.MM.RR HH24:MI:SS'));
INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT) VALUES ('AbfrageTeilen','Wort','Abfrage Teilen','Abfrage Teilen',to_date('04.01.18 15:20:45','DD.MM.RR HH24:MI:SS'));

COMMIT;

